Package org.eclipse.birt.chart.script.api.component

# Interface IAxis

All Superinterfaces:
  `IChartComponent`

public interface IAxis extends IChartComponent
Represents the Axis of a Chart in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`IMarkerLine[]`
`getMarkerLines()`
Gets all marker lines in Axis
`IMarkerRange[]`
`getMarkerRanges()`
Gets all marker ranges in Axis
`IScale`
`getScale()`
Gets theScale for axis scaling
`String`
`getType()`
Gets the name of AxisType.
`void`
`setType(String type)`
Sets AxisType by name.

### Methods inherited from interface org.eclipse.birt.chart.script.api.component.IChartComponent

`getTitle, isVisible, setVisible`

## Method Details

### getScale

IScale getScale()
Gets theScale for axis scaling

Returns:
  Scale

### getMarkerLines

IMarkerLine[] getMarkerLines()
Gets all marker lines in Axis

Returns:
  an array of marker lines

### getMarkerRanges

IMarkerRange[] getMarkerRanges()
Gets all marker ranges in Axis

Returns:
  an array of marker ranges

### getType

String getType()
Gets the name of AxisType. Return values are an enumeration including "Text", "Linear", "Logarithmic" and "DateTime". Default value is "Linear".

Returns:
  the name of AxisType
See Also:
  - `AxisType`

### setType

void setType(String type)
Sets AxisType by name. Names are an enumeration including "Text", "Linear", "Logarithmic" and "DateTime". Default value is "Linear". If the AxisType name is invalid, will set the default value.

Parameters:
  `type` - the name of AxisType
See Also:
  - `AxisType`